MCP Tools Reference: servicehealth

Tool: list_project_impacts

Lists Google Cloud resources impacted by service health events in a project (Preview).

  • parent: projects/{project}/locations/global (location must be global).
  • filter: snake_case fields only, with quoted values: events:"projects/{project}/locations/global/events/{event_id}", asset.asset_name="//{service}.googleapis.com/{resource_path}", asset.asset_type="{service}.googleapis.com/{Type}", update_time>="{RFC 3339 timestamp}". Combine with AND/OR.

The following code sample shows how to use curl to call the list_project_impacts MCP tool.

Curl Request
curl --location 'https://servicehealth.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "list_project_impacts",
    "arguments": {
      // Provide these details according to the MCP tool specification.
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'

Input Schema

Message for requesting list of impacts.

ListImpactsRequest

JSON representation
{
  "parent": string,
  "pageSize": integer,
  "pageToken": string,
  "filter": string
}
Fields
parent

string

Required. Parent value for ListImpactsRequest eg: "projects/{project_id}/locations/{location}"

pageSize

integer

Optional. The maximum number of results to return. The service may return fewer results than this value. If unspecified, server will pick an appropriate default. Maximum value is 100.

pageToken

string

Optional. A token identifying a page of results the server should return. Provide Page token returned by a previous 'ListImpacts' call to retrieve the next page of results. When paginating, all other parameters provided to 'ListImpacts' must match the call that provided the page token.

filter

string

Optional. A filter expression that filters resources listed in the response. The expression is in the form of field=value.

Output Schema

Message for response to listing impacts.

ListImpactsResponse

JSON representation
{
  "impacts": [
    {
      object (Impact)
    }
  ],
  "nextPageToken": string,
  "unreachable": [
    string
  ]
}
Fields
impacts[]

object (Impact)

Output only. List of impacts.

nextPageToken

string

Output only. The continuation token, used to page through large result sets. Provide this value in a subsequent request as page_token in subsequent requests to retrieve the next page. If this field is not present, there are no subsequent results.

unreachable[]

string

Output only. Unordered list. Locations that could not be reached.

Impact

JSON representation
{
  "name": string,
  "events": [
    string
  ],
  "asset": {
    object (Asset)
  },
  "createTime": string,
  "updateTime": string,
  "description": string
}
Fields
name

string

Identifier. Name of the impact. The format could be: - projects/{project_id}/locations/{location}/impacts/{impact_id}.

events[]

string

Output only. Event associated with the impact.

asset

object (Asset)

Output only. Asset associated with the impact.

createTime

string (Timestamp format)

Output only. The time when the impact was created.

Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: "2014-10-02T15:01:23Z", "2014-10-02T15:01:23.045123456Z" or "2014-10-02T15:01:23+05:30".

updateTime

string (Timestamp format)

Output only. The time when the impact was last modified.

Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: "2014-10-02T15:01:23Z", "2014-10-02T15:01:23.045123456Z" or "2014-10-02T15:01:23+05:30".

description

string

Output only. Free-form human-readable description.

Asset

JSON representation
{
  "assetName": string,
  "assetType": string
}
Fields
assetName

string

Output only. Full name of the resource as defined in Resource Names.

assetType

string

Output only. Type of the asset. Example: "cloudresourcemanager.googleapis.com/Project"

Timestamp

JSON representation
{
  "seconds": string,
  "nanos": integer
}
Fields
seconds

string (int64 format)

Represents seconds of UTC time since Unix epoch 1970-01-01T00:00:00Z. Must be between -62135596800 and 253402300799 inclusive (which corresponds to 0001-01-01T00:00:00Z to 9999-12-31T23:59:59Z).

nanos

integer

Non-negative fractions of a second at nanosecond resolution. This field is the nanosecond portion of the duration, not an alternative to seconds. Negative second values with fractions must still have non-negative nanos values that count forward in time. Must be between 0 and 999,999,999 inclusive.

Tool Annotations

Tool annotations are sent to MCP clients to describe the basic risk of a given tool. Most clients treat these hints as untrusted, but they can be used to decide when a confirmation prompt might be sent to a user.

Along with the title string, the following boolean hints are defined as follows:

  • readOnlyHint: If true, the tool doesn't modify its environment. Default: false.
  • destructiveHint: If true, then the tool can perform destructive actions. If false, then the tool can only perform additive actions. Default: true.
  • idempotentHint: If true, then calling the tool repeatedly with the same arguments will have no additional effect on its environment. Default: false.
  • openWorldHint: If true, then the tool can interact with an 'open world' of external entities. If false, then the tool can only interact with internal entities. For example, a web search tool would be open world, while a memory tool would not be open world.

Destructive Hint: ❌ | Idempotent Hint: ✅ | Read Only Hint: ✅ | Open World Hint: ❌